=== debian/changelog ===
pg-hint-plan-13 (1.3.10-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 31 Aug 2024 13:29:01 +0200

pg-hint-plan-13 (1.3.10-1) unstable; urgency=medium

  * New upstream version 1.3.10.

 -- Christoph Berg <myon@debian.org>  Sat, 31 Aug 2024 13:29:01 +0200

pg-hint-plan-13 (1.3.9-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Apr 2024 10:20:10 +0200
